package com.mixsmart.exception;

/**
 * 定义参数为空的异常
 * @author lmq 2016年11月11日
 * @version 1.0
 * @since 1.0
 */
public class NullArgumentException extends IllegalArgumentException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4969761645495788894L;

	public NullArgumentException() {
		this("提供的参数为空");
	}
	
	public NullArgumentException(String message) {
		super(message);
	}
	
	public NullArgumentException(Throwable cause) {
		super(cause);
	}
	
	public NullArgumentException(String message, Throwable cause) {
		super(message, cause);
	}
	
}
